Comment 0 for bug 1667834

php7.1 is only in Unstable currently and won't be in Stretch (afaict). We would prefer not to ship two versions of php in 17.04.

One of my tasks in 17.10 will be to migrate php7.1 into main and drop php7.0.